/* GLOBAL */

:root {

    /* Colors */

    --background-color: #545454;
    --background-color-darker: #2e2e2e;
    --background-color-lighter: #737373;
    --main-color: #5ce1e6;
    --main-color-darker: #378a8d;
    --main-color-lighter: #a9fcff;
    --certificate-border: #004aad;
}

body {
    background-color: var(--background-color);
    font-family: 'Segoe UI', 'Bahnschrift', Tahoma, Verdana, sans-serif;
}

h1 {
    background-color: var(--background-color-darker);
    color:white;
    border-radius: 50px;
    text-align: center;
    min-width: fit-content;
    max-width: fit-content;
    padding: 0 2%;
}

p {
    font-size: large;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
}

/* HEADER */

.big-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: white;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: space-between;
    height: 75px;
    align-items: center;
    border-bottom: 8px solid var(--main-color);
}

.big-nav a {
    float: left;
    text-align: center;
    min-width: 125px;
    padding: 14px 0px;
    margin: 0 10px;
    text-decoration: none;
    font-size: 17px;
    color: white;
    background-color: var(--main-color);
    border-radius: 50px;
}

.big-nav a:hover {
    color: var(--main-color-darker);
}

.mobile-nav {
    display: none;
}

.left-nav {
    padding-left: 3%;
}

.right-nav {
    padding-right: 3%;
}

html {
  scroll-behavior: smooth;
}

/* BODY SECTIONS */

body {
/* helps with making the nav fill the space */
  margin: 0;
  padding: 0;
}

/* ABOUT ME SECTION */

.about-me {
    display: flex;
    justify-content: space-between;
    margin-top: 9%;
    scroll-margin-top: 160px; /* Allows clicking on nav to scroll all the way to the top */
}

.about-me img {
    max-width: 450px;
    border: 8px solid var(--main-color);
    border-radius: 25px;
    margin-left: 12%;
    height: auto;
}

.about-me-par {
    padding-right: 10%;
}

.about-me-par h1 {
    width: 30%;
}

.about-me-par p {
    background-color: var(--background-color-darker);
    color:white;
    width: 600px;
    border-radius: 25px;
    padding: 2%;
}

/* CERTIFICATION SECTION */

.certification {
    padding-top: 6%;
    margin: 0 2%;
    scroll-margin-top: 100px;
}

.certification h1 {
    width: 15%;
}

.certification a {
    color: var(--main-color-lighter);
}

.certification-container {
    padding: 2% 0;
    margin: 1% 1%;
    background-color: var(--background-color-darker);
    border: 8px solid var(--certificate-border);
    border-radius: 25px;
    width: 33%;
}

.certification-container h2 {
    color: white;
    max-width: 100%;
    padding: 0 1%;
    text-align: center;
}

.certification-section-wrapper {
    display: flex;
}

.image-and-description {
    display: flex;
}

.image-and-description img {
    padding-left: 2%;
    width: 30%;
    max-height: min-content;
}

.image-and-description p {
   color: white;
   padding-right: 2%;
   padding-left: 2%;
}

.certification-section-header {
    color: white;
    margin-left: 1%;
    background-color: var(--background-color-darker);
    border-radius: 25px;
    padding: 0.5% 1%;
    width: max-content;
}

/* CERTIFICATION DROPDOWN */

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-button {
    display: none;
}

.dropdown-content {
    background-color: var(--background-color);
    display: flex;
}

/* PROJECTS SECTION */

.projects {
    padding-top: 6%;
    margin: 0 2%;
    scroll-margin-top: 100px;
}

.project-des-and-vid-container {
    display: flex;
}

.project-des-container {
    width: 45%;
    padding: 1% 0;
}

.project-des-container h2 {
    color: white;
    background-color: var(--background-color-lighter);
    padding: 0 1%;
    margin: 0;
    text-align: center;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    font-size: xx-large;
}

.project-des-container p {
    color: white;
    background-color: var(--background-color-darker);
    padding: 2%;
    margin: 0;
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
}

.project-des-container a {
    color: var(--main-color-lighter);
}

/* CONTACT ME SECTION */

.contact {
    padding-top: 6%;
    scroll-margin-top: 500px;
}

.h1-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.h1-container h1 {
    width: 15%;
    margin: 0;
}

.contact-info-and-image {
    padding-top: 3%;
    text-align: center;
}

.contact-info-and-image p {
    background-color: var(--background-color-lighter);
    border: 8px solid var(--main-color);
    border-radius: 25px;
    color: white;
    width: 30%;
    text-align: center;
    height: min-content;
    margin: 0 auto;
}

.contact-info-and-image img {
    border: 8px solid var(--main-color);
    border-radius: 25px;
    max-width: 450px;
    text-align: center;
    margin-top: 2%;
}

.contact-info-and-image a {
    color: var(--main-color-lighter);
    text-align: center;
}

.contact-info-and-image h2 {
    color:white;
    background-color: var(--background-color-darker);
    border-radius: 50px;
    height: 7%;
    width: fit-content;
    text-align: center;
    margin: 0 auto;
    margin-top: 2%;
    margin-bottom: 10%;
    padding: 0 2%;
}

/* FOOTER */

footer {
    top: 0;
    left: 0;
    width: 100%;
    background-color: white;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: space-between;
    height: 37px;
    align-items: center;
    border-top: 8px solid var(--main-color);
}

footer a {
    margin-left: 90%;
}

.gray-text {
    color: var(--background-color-darker)
}

/* ANIMATION CLASSES */

html, body {
    overflow-x: hidden;
    overflow-x: clip;
}

.animated-from-right {
    transform: translateX(50%);
}

.animated-from-left {
    transform: translateX(-50%);
}

.animated-from-below {
    transform: translateY(50%);
}

.animated-from-right, .animated-from-left, .animated-from-below {
    opacity: 0;
    transition: opacity 3.0s ease-out, transform 1.5s ease-out;
    will-change: transform, opacity;
}

.animated-from-right.in-view, .animated-from-left.in-view, .animated-from-below.in-view {
    opacity: 1;
    transform: translateX(0);
}

@media screen and (orientation: portrait), (max-width: 1300px) {

    .big-nav {
        display: none;
    }

    .mobile-nav {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 1000;
        background-color: white;
        padding: 0;
        margin: 0;
        display: flex;
        height: 75px;
        align-items: center;
        justify-content: space-evenly;
        border-bottom: 8px solid var(--main-color);
    }

    .mobile-nav a {
        float: left;
        text-align: center;
        width: 20%;
        padding: 1.5% 1%;
        margin: 0 0.05%;
        text-decoration: none;
        font-size: small;
        color: white;
        background-color: var(--main-color);
        border-radius: 50px;
    }

    h1 {
        margin: 0 auto;
    }

    .about-me {
        display: block;
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .about-me img {
        display: block;
        margin-top: 30%;
        margin-left: auto;
        margin-right: auto;
        max-width: 60%;
    }

    .about-me-par {
        padding-right: 0;
        margin-top: 5%;
    }

    .about-me-par p {
        display: block;
        margin-left: auto;
        margin-right: auto;
        max-width: 90%;
    }

    .certification {
        margin: 0 auto;
    }

    .certification h1 {
        margin-bottom: 2%;
    }

    .certification-container h2 {
        margin: 3% auto;
        font-size: large;
    }

    .image-and-description {
        align-items: center;
    }

    .image-and-description img {
        max-width: 110px;
        max-height: 110px;
    }

    .project-des-and-vid-container {
        display: block;
    }

    .project-des-container {
        width: 100%;
        padding-top: 4%;
    }

    .contact-info-and-image p {
        width: fit-content;
        padding: 0 2%;
    }

    .contact-info-and-image img {
        max-width: 60%;
    }

    .certification-container {
        width: 95%;
        margin: 5% auto;
    }

    .certification-section-wrapper {
        display: block;
    }

    .certification-section-header {
        display: none;
    }

    .dropdown {
        width: 100%;
    }

    .dropdown-button {
        padding: 15px;
        margin: 1% auto;
        cursor: pointer;
        color: white;
        border-color: white;
        border-radius: 15px;
        background-color: var(--background-color-darker);
        font-size: larger;
        font-weight: bolder;
        display: block;
        width: 100%;
    }

    .dropdown-content {
        display: none;
    }

    footer a {
        margin: 0 auto;
    }

}
